Subject: Re: bug#7784: executable-find does not find scripts on woe32

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jan 2011 06:26:24 -0500

> Date: Tue, 4 Jan 2011 23:05:16 -0500
> From: Sam Steingold <[email-masked]>
> Cc: [email-masked]
> 
> check_executable() should return true for all arguments.

How would this be useful?  Right now, it returns true for files that
you can "execute" from the native Windows build of Emacs using native
Windows shells and the cmd proxy that is part of the Emacs package.
Returning true for every file will give gobs of false positives,
because most files on Windows are not executable, not even by Cygwin
wizardry.

Could you please describe the specific use-case where this issue got
in your way?  Because otherwise this discussion sounds a bit academic
to me.